Get Point Redemption Details for Redemption Events


ā—ļø

This is a private API. Private APIs are deprecated and hence hidden.

The API fetches points redemption details for event log IDs related to points redemption events

🚧

Note

This is a private API and is accessible only through Neo dataflows.

Prerequisites

  • Access to Neo
  • Basic or OAuth authentication details
  • Access group resource - NA

Resource information

URI to be used in Neo dataflow/das/getPointsRedemptionExplodeLedger
HTTP methodGET
Pagination supported?Yes
Rate limitBased on Neo
Batch supportNA

Request query parameters

Parameter (Parameters marked with * are mandatory)Data TypeDescription
entity_id*LongUnique customer ID of the customer
event_log_ids*StringUnique identifier generated for the event at the time of its creation
pageIntegerRetrieve details of a specific page. Page count starts from 1. Example: page=2 retrieves data on page 2.
countIntegerNumber of results to display per page. The default value is 10. The maximum supported value is 100.

Response parameters

ParameterDatatypeDescription
notesStringNotes or comments related to the redemption
redemptionTypeStringType of redemption
Example: REDEMPTION
purposeStringPurpose of the redemption
redemptionIdStringUnique identifier for the redemption
pointsRedeemedFloatNumber of points redeemed
pointsRedemptionTimeLongTimestamp when the points were redeemed in milliseconds
processingTimeLongTimestamp when the event was processed in milliseconds
eventTypeIdIntegerUnique identifier for the event type
billIdLongUnique identifier for the bill
customerIdLongUnique identifier of the customer
eventTimeLongTimestamp of when the event occurred in milliseconds
redemptionTimeLongTimestamp when the redemption was recorded in milliseconds
externalReferenceNumberStringExternal reference number, if available
eventLogIdLongUnique identifier of the event log
tillIdLongIdentifier for the till (point-of-sale terminal)
billNumberStringBill number associated with the redemption
uniqueIdStringUnique ID associated with the redemption record

Sample response

   [
      {
        "notes": "general",
        "redemptionType": "REDEMPTION",
        "purpose": "",
        "redemptionId": "d5hrMK",
        "pointsRedeemed": 26,
        "pointsRedemptionTime": 1748950582000,
        "processingTime": 1748950581000,
        "eventTypeId": 3,
        "billId": 387970841,
        "customerId": 387970841,
        "eventTime": 1748950581000,
        "redemptionTime": 1748950581000,
        "externalReferenceNumber": null,
        "eventLogId": 38731921,
        "tillId": 50691660,
        "billNumber": "",
        "uniqueId": "X17nAIlTJ3"
      },
      {
        "notes": "Sample notes",
        "redemptionType": "REDEMPTION",
        "purpose": "",
        "redemptionId": "C2gPJ1",
        "pointsRedeemed": 5,
        "pointsRedemptionTime": 1749066544000,
        "processingTime": 1748869864000,
        "eventTypeId": 3,
        "billId": 387970841,
        "customerId": 387970841,
        "eventTime": 1748869864000,
        "redemptionTime": 1749062944000,
        "externalReferenceNumber": null,
        "eventLogId": 38797923,
        "tillId": 50692627,
        "billNumber": "wefsadefdfdasfds",
        "uniqueId": "qTxqAg2pe9"
      }
    ]

Error code

Error CodeDescription
400Bad Request
404Not Found
500Internal Server Error